import { DefineApiModule } from '@/api/api'
import { ForceCheck } from '@/api/api-types/forceCheck'

const ForceCheckApi: DefineApiModule<ForceCheck.ApiMap> = {
  /** 获取考核组 */
  getForceCheckGroupList: {
    url: '/api/force/group/list',
  },
  /** 获取分发进度 */
  getHandOutProgressList: {
    url: '/api/force/group/markers',
  },
  /** 分发强制考核卷 */
  handOutForceCheck: {
    url: '/api/force/group/dispense',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  getDispenseRound: {
    url: '/api/force/group/dispense/round',
  },
}

export default ForceCheckApi
