import { DefineApiModule } from '@/api/api'
import { Expert } from '@/api/api-types/expert'

const ExpertApi: DefineApiModule<Expert.ApiMap> = {
  /** AB培训卷 */
  getSampleList: '/api/reference/paper/sample/page',
  /** RF卷 */
  getRfSampleList: '/api/reference/paper/rf/page',
  /** 修改分数 */
  updateMarkScore: '/api/reference/paper/score',
  /** 标准卷 */
  getStandardList: '/api/reference/paper/standard/page',
  /** 转为样卷 */
  transformStandardToSample: '/api/reference/paper/standard/to/rf',
  /** 强制考核卷 */
  getExpertAssessList: '/api/reference/paper/force/page',
  /** 专家挑选卷 */
  getExpertPickList: '/api/reference/paper/page',
  /** 删除 */
  deletePaper: '/api/reference/paper/delete',
}

export default ExpertApi
