export type BaseDefine<P = null, R = null, O = null> = {
  params: P
  result: R
}
export type BaseMultiplePageQuery = { pageNumber: number; pageSize: number }
type BaseMultiplePageResult = {
  pageCount: number
  pageNumber: number
  pageSize: number
  totalCount: number
}

export type MultipleQuery<T extends object> = BaseMultiplePageQuery & T
export type MultipleResult<T> = BaseMultiplePageResult & { result: T[] }
