import { DefineApiModule } from '@/api/api'
import { Message } from '@/api/api-types/message'

const MessageApi: DefineApiModule<Message.ApiMap> = {
  /** 历史消息 */
  getMessageHistory: '/api/message/history',
  /** 消息列表 */
  getMessageList: '/api/message/list',
  /** 发送/回复消息 */
  sendMessage: '/api/message/send',
  /** 未读消息 - 最新5条 */
  getUnReadMessage: '/api/message/new',
  /** 已读 */
  handleReadMessage: '/api/message/read',
}

export default MessageApi
